RDS-INFO(1)

NAME
rds-info - display information from the RDS kernel module

SYNOPSIS
rds-info [-v] [-cknrstIT]

DESCRIPTION
The rds-info utility presents various sources of information that the RDS kernel module maintains. When run without any optional arguments rds-info will output all the information it knows of. When options are specified then only the information associated with those options is displayed.

The options are as follows:

-v  Requests verbose output. When this option is given, some classes of information will display additional data.

-c  Display global counters. Each counter increments as its event occurs. The counters may not be reset. The set of supported counters may change over time.

    CounterName
        The name of the counter. These names come from the kernel and can change depending on the capability of the kernel module.

    Value
        The number of times that the counter has been incremented since the kernel module was loaded.

-k  Display all the RDS sockets in the system. There will always be one socket listed that is neither bound to nor connected to any addresses because rds-info itself uses an unbound socket to collect information.

    BoundAddr, BPort
        The IP address and port that the socket is bound to. 0.0.0.0 0 indicates that the socket has not been bound.

    ConnAddr, CPort
        The IP address and port that the socket is connected to. 0.0.0.0 0 indicates that the socket has not been connected.

    SndBuf, RcvBuf
        The number of bytes of message payload which can be queued for sending or receiving on the socket, respectively.

    Inode
        The number of the inode object associated with the socket. Can be used to locate the process owning a given socket by searching /proc/*/fd for open files referencing a socket with this inode number.

-n  Display all RDS connections. RDS connections are maintained between nodes by transports.

    LocalAddr
        The IP address of this node. For connections that originate and terminate on the same node the local address indicates which address initiated the connection establishment.

    RemoteAddr
        The IP address of the remote end of the connection.

    NextTX
        The sequence number that will be given to the next message that is sent over the connection.

    NextRX
        The sequence number that is expected from the next message to arrive over the connection. Any incoming messages with sequence numbers less than this will be dropped.

    Flg Flags which indicate the state of the connection.

        s   A process is currently sending a message down the connection.

        c   The transport is attempting to connect to the remote address.

        C   The connection to the remote host is connected and active.

-r, -s, -t
    Display the messages in the receive, send, or retransmit queues respectively.

    LocalAddr, LPort
        The local IP address and port on this node associated with the message. For sent messages this is the source address, for receive messages it is the destination address.

    RemoteAddr, RPort
        The remote IP address and port associated with the message. For sent messages this is the destination address, for receive messages it is the source address.

    Seq The sequence number of the message.

    Bytes
        The number of bytes in the message payload.

    The following information sources are dependent on specific transports which may not always be available.

-I  Display the IB connections which the IB transport is using to provide RDS connections.

    LocalAddr
        The local IP address of this connection.

    RemoteAddr
        The remote IP address of this connection.

    LocalDev
        The local IB Global Identifier, printed in IPv6 address syntax.

    RemoteDev
        The remote IB Global Identifier, printed in IPv6 address syntax.

    If verbose output is requested, per-connection settings such as the maximum number of send and receive work requests will be displayed in addition.

-T  Display the TCP sockets which the TCP transport is using to provide RDS connections.

    LocalAddr, LPort
        The local IP address and port of this socket.

    RemoteAddr, RPort
        The remote IP address and port that this socket is connected to.

    HdrRemain
        The number of bytes that must be read off the socket to complete the next full RDS header.

    DataRemain
        The number of bytes that must be read off the socket to complete the data payload of the message which is being received.

    SentNxt
        The TCP sequence number of the first byte of the last message that we sent down the connection.

    ExpectedUna
        The TCP sequence number of the byte past the last byte of the last message that we sent down the connection. When we see that the remote side has acked up to this byte then we know that the remote side has received all our RDS messages.

    SeenUna
        The TCP sequence number of the byte past the last byte which has been acked by the remote host.